package intrinsic.mx.managers;

public class DragManager extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";
	public static final String COPY = "copy";
	public static final String LINK = "link";
	public static final String MOVE = "move";
	public static final String NONE = "none";

	/** Class Accessors */
	public static intrinsic.mx.managers.dragClasses.DragProxy dragProxy;
	public static boolean isDragging;

	/** Class variables */

/** Contructors */
public DragManager() {
}


/** Static Methods */
public static native void showFeedback(String arg0);
public static native void acceptDragDrop(intrinsic.mx.core.IUIComponent arg0);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6);
public static native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6, boolean arg7);
public static native String getFeedback();
public static native void endDrag();

/** Methods */

}
